curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/data_orchestration_templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stage_id": "6ff8f7f6-1eb3-3525-be4a-3932c805afed",
"status": [
1,
2
],
"client_id": null,
"search": null,
"for_workflow": true
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/data_orchestration_templates"
payload = {
"stage_id": "6ff8f7f6-1eb3-3525-be4a-3932c805afed",
"status": [1, 2],
"client_id": None,
"search": None,
"for_workflow": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stage_id: '6ff8f7f6-1eb3-3525-be4a-3932c805afed',
status: [1, 2],
client_id: null,
search: null,
for_workflow: true
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/data_orchestration_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"short_id": null,
"name": "Et animi.",
"description": "Fugiat sunt nihil accusantium harum mollitia. Deserunt aut ab provident perspiciatis quo omnis nostrum. Adipisci quidem nostrum qui commodi incidunt iure.",
"workflow": [
"funding"
],
"trigger": null,
"is_global": false,
"updated_at": null,
"deleted_at": null,
"status": 2
},
{
"id": null,
"short_id": null,
"name": "Molestias.",
"description": "Sint aut molestiae sunt suscipit. Fugiat ut aut deserunt et error neque recusandae. Ipsam dolorem et ut dicta vitae assumenda consequatur. Et sunt quisquam sit repellendus ut.",
"workflow": [
"funding"
],
"trigger": null,
"is_global": false,
"updated_at": null,
"deleted_at": null,
"status": 2
}
]
}List Data Orchestration Templates
Returns a paginated list of the data orchestration templates available to run against the application for the given stage. Requires a stage_id from the application’s workflow; results can be filtered by status and search term.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
Body
Underwriting stage on the application's workflow snapshot. The response lists the templates that stage declares. Must be a valid UUID.
"6ff8f7f6-1eb3-3525-be4a-3932c805afed"
Data Orchestration template status, as a number. A draft template is returned by default but cannot be run.
1, 2 [1, 2]
Must match an existing stored value.
null
Search Data Orchestration templates by name or by character ID.
null
true
Response
Show child attributes
Show child attributes
[
{
"id": null,
"short_id": null,
"name": "Et animi.",
"description": "Fugiat sunt nihil accusantium harum mollitia. Deserunt aut ab provident perspiciatis quo omnis nostrum. Adipisci quidem nostrum qui commodi incidunt iure.",
"workflow": ["funding"],
"trigger": null,
"is_global": false,
"updated_at": null,
"deleted_at": null,
"status": 2
},
{
"id": null,
"short_id": null,
"name": "Molestias.",
"description": "Sint aut molestiae sunt suscipit. Fugiat ut aut deserunt et error neque recusandae. Ipsam dolorem et ut dicta vitae assumenda consequatur. Et sunt quisquam sit repellendus ut.",
"workflow": ["funding"],
"trigger": null,
"is_global": false,
"updated_at": null,
"deleted_at": null,
"status": 2
}
]
Was this page helpful?